<?php

class WPBakeryShortCode_Button extends WPBakeryShortCode
{
}

vc_map(array(
    'name' => 'Button',
    'base' => 'button',
    'category' => sprintf(__('by %s', 'tm-dione'), TM_DIONE_PARENT_THEME_NAME),
    'description' => esc_html__('Custom button', 'tm-dione'),
    'icon' => 'tm-shortcode-ico button-icon',
    'allowed_container_element' => 'vc_row',
    'params' => array(
        array(
            'type' => 'vc_link',
            'heading' => esc_html__('Button', 'tm-dione'),
            'param_name' => 'button_link',
        ),
        array(
            'type' => 'dropdown',
            'admin_label' => true,
            'class' => '',
            'heading' => 'Size',
            'param_name' => 'size',
            'value' => array(
                '' => '',
                'Small' => 'btn-small',
                'Medium' => 'btn-medium',
                'Large' => 'btn-large',
            ),
        ),
        array(
            'type' => 'dropdown',
            'admin_label' => true,
            'class' => '',
            'heading' => 'Display',
            'param_name' => 'display',
            'value' => array(
                '' => '',
                'Block' => 'block',
                'Inline' => 'inline',
                'Inline Block' => 'inline-block',
            ),
            'description' => '',
        ),
        array(
            'type' => 'dropdown',
            'admin_label' => true,
            'class' => '',
            'heading' => 'Align',
            'param_name' => 'align',
            'value' => array(
                '' => '',
                'Left' => 'left',
                'Right' => 'right',
                'Center' => 'center',
            ),
            'dependency' => array('element' => 'display', 'value' => 'block'),
        ),
        array(
            'type' => 'textfield',
            'admin_label' => true,
            'class' => '',
            'heading' => 'Width',
            'param_name' => 'width',
            'description' => 'Example 300px',
        ),
        // Icons
        array(
            'type' => 'dropdown',
            'admin_label' => true,
            'class' => '',
            'heading' => 'Icon',
            'param_name' => 'type',
            'value' => array(
                'No icon' => '',
                'Font icons' => 'font-icons',
                'Custom' => 'custom',
            ),
            'save_always' => true,
            'description' => '',
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Icon library', 'tm-dione'),
            'value' => array(
                esc_html__('Font Awesome', 'tm-dione') => 'fontawesome',
                esc_html__('Open Iconic', 'tm-dione') => 'openiconic',
                esc_html__('Typicons', 'tm-dione') => 'typicons',
                esc_html__('Entypo', 'tm-dione') => 'entypo',
                esc_html__('Linecons', 'tm-dione') => 'linecons',
                esc_html__('P7 Stroke', 'tm-dione') => 'pe7stroke',
            ),
            'admin_label' => true,
            'param_name' => 'icon_type',
            'description' => esc_html__('Select icon library.', 'tm-dione'),
            'dependency' => array('element' => 'type', 'value' => array('font-icons')),
        ),
        $fontawesome,
        $openiconic,
        $typicons,
        $entypo,
        $linecons,
        $pe7stroke,
        array(
            'type' => 'attach_image',
            'admin_label' => true,
            'class' => '',
            'heading' => 'Custom Icon',
            'param_name' => 'custom_icon',
            'dependency' => array('element' => 'type', 'value' => array('custom')),
        ),
        array(
            'type' => 'textfield',
            'admin_label' => true,
            'class' => '',
            'heading' => 'ID',
            'param_name' => 'button_id',
            'description' => 'Set unique button ID attribute',
        ),
        array(
            'type' => 'dropdown',
            'admin_label' => true,
            'class' => '',
            'heading' => 'Style',
            'param_name' => 'style',
            'default' => '',
            'value' => array(
                'Default' => '',
                'Black Border' => 'btn-border-black',
                'White Border' => 'btn-border-white',
                'Gray Border' => 'btn-border-gray',
                'Primary Color' => 'btn-bg-primary-color',
                'Secondary Color' => 'btn-bg-secondary-color',
                'Black Color' => 'btn-bg-black-color',
                'White Color' => 'btn-bg-white-color',
                'Text Link' => 'text-link',
                'Custom' => 'custom',
            ),
        ),
        array(
            'type' => 'colorpicker',
            'admin_label' => true,
            'class' => '',
            'heading' => 'Color',
            'param_name' => 'color',
            'dependency' => array('element' => 'style', 'value' => 'custom'),
        ),
        array(
            'type' => 'colorpicker',
            'admin_label' => true,
            'class' => '',
            'heading' => 'Hover Color',
            'param_name' => 'hover_color',
            'dependency' => array('element' => 'style', 'value' => 'custom'),
        ),
        array(
            'type' => 'colorpicker',
            'admin_label' => true,
            'class' => '',
            'heading' => 'Background Color',
            'param_name' => 'background_color',
            'dependency' => array('element' => 'style', 'value' => 'custom'),
        ),
        array(
            'type' => 'colorpicker',
            'admin_label' => true,
            'class' => '',
            'heading' => 'Hover Background Color',
            'param_name' => 'hover_background_color',
            'dependency' => array('element' => 'style', 'value' => 'custom'),
        ),
        array(
            'type' => 'colorpicker',
            'admin_label' => true,
            'class' => '',
            'heading' => 'Border Color',
            'param_name' => 'border_color',
            'dependency' => array('element' => 'style', 'value' => 'custom'),
        ),
        array(
            'type' => 'colorpicker',
            'admin_label' => true,
            'class' => '',
            'heading' => 'Hover Border Color',
            'param_name' => 'hover_border_color',
            'dependency' => array('element' => 'style', 'value' => 'custom'),
        ),
        array(
            'type' => 'dropdown',
            'admin_label' => true,
            'class' => '',
            'heading' => 'Font Style',
            'param_name' => 'font_style',
            'value' => array(
                '' => '',
                'Normal' => 'normal',
                'Italic' => 'italic',
            ),
        ),
        array(
            'type' => 'dropdown',
            'admin_label' => true,
            'class' => '',
            'heading' => 'Font Weight',
            'param_name' => 'font_weight',
            'value' => array(
                'Default' => '',
                'Thin 100' => '100',
                'Extra-Light 200' => '200',
                'Light 300' => '300',
                'Regular 400' => '400',
                'Medium 500' => '500',
                'Semi-Bold 600' => '600',
                'Bold 700' => '700',
                'Extra-Bold 800' => '800',
                'Ultra-Bold 900' => '900',
            ),
        ),
        array(
            'type' => 'dropdown',
            'admin_label' => true,
            'class' => '',
            'heading' => 'Text Align',
            'param_name' => 'text_align',
            'value' => array(
                '' => '',
                'Left' => 'left',
                'Right' => 'right',
                'Center' => 'center',
            ),
        ),
        array(
            'type' => 'textfield',
            'admin_label' => true,
            'class' => '',
            'heading' => 'Margin',
            'param_name' => 'margin',
            'description' => esc_html__('Please insert margin in format: 0px 0px 1px 0px', 'tm-dione'),
        ),
        array(
            'type' => 'textfield',
            'admin_label' => true,
            'class' => '',
            'heading' => 'Border radius',
            'param_name' => 'border_radius',
            'description' => esc_html__('Please insert border radius(Rounded corners) in px. For example: 4 ', 'tm-dione'),
        ),
        array(
            'type' => 'textfield',
            'admin_label' => true,
            'class' => '',
            'heading' => 'Custom class CSS',
            'param_name' => 'el_class',
        ),
    ),
));
